<template>
  <div class="flex flex-column justify-content-center align-items-center pt-4">
    <Card class="m-2 w-4">
      <template #header>
        <div
          class="flex justify-content-center align-items-center pt-4 text-xl"
        >
          Counter App
        </div>
      </template>
      <template #content>
        <div
          class="flex justify-content-center align-items-center pb-2 text-5xl"
          :style="{color: $store.state.color}"
        >
          {{ $store.state.count }}
        </div>
        <div class="text-center">
          {{ $store.state.count }}
          <sup>2</sup> = {{ $store.getters.countSquared }}
        </div>
      </template>
      <template #footer>
        <div class="flex justify-content-center align-items-center">
          <Button
            @click="$store.dispatch('decreaseCount')"
            class="m-2"
            icon="pi pi-minus"
          ></Button>
          <Button
            @click="$store.dispatch('increaseCount')"
            class="m-2"
            icon="pi pi-plus"
          ></Button>
        </div>
      </template>
    </Card>
    <Card class="m-2 w-4">
      <template #header>
        <div
          class="flex justify-content-center align-content-center pt-2 text-3xl"
        >
          Color
        </div>
      </template>
      <template #content>
        <div class="flex justify-content-center align-content-center">
          <InputText v-model="color"/>
        </div>
      </template>
    </Card>
  </div>
</template>

<script>
export default {
  name: "Home",
  computed: {
    color: {
      get() {
        return this.$store.state.color;
      },
      set(newValue) {
        return this.$store.commit('setColor', newValue);
      }
    }
  }
};
</script>

<style>
</style>